@import 'src/assets/sass/mixin/bem';
@import 'src/assets/sass/layout/card';
@import 'src/assets/sass/layout/page';
@import 'src/assets/sass/variables/color';

@include page_layout;
@include card_layout;

// CSS for the Landing page

@keyframes animation__cover {
  0% {
    background-position: 0% 0%, 0% 0%, center center, -19.2vmin 40vmin, center center;
  }
  100% {
    background-position: 100% 0%, 100% 0%, center center, calc(100% + 51.2vmin) -64vmin, center center;
  }
}

::ng-deep .search-header {
  --headline-height: 800px;
  @media (min-width: 500px) {
    --headline-height: 630px;
  }

  min-height: var(--headline-height);

  // Animated background
  contain: paint;
  -webkit-animation-name: animation__cover;
  animation-name: animation__cover;
  -webkit-animation-duration: 180s;
  animation-duration: 180s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-delay: -72s;
  animation-delay: -72s;
  background-image: repeating-linear-gradient(
      162deg,
      rgba(255, 255, 255, 0) 0,
      rgba(255, 255, 255, 0) 53.33333px,
      var(--brand--dark) 0,
      var(--brand--dark) 54.33333px
    ),
    repeating-linear-gradient(-72deg, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, 0) 32px, var(--accent--dim) 0, var(--accent--dim) 33px),
    linear-gradient(72deg, #2e2e2e 10%, rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0) 60%, var(--brand--light) 90%),
    url('/assets/img/europe-map-wp.svg'), linear-gradient(72deg, var(--accent--dark) 40%, var(--brand--vivid) 60%);
  background-repeat: no-repeat, no-repeat, no-repeat, no-repeat, no-repeat;
  background-size: 100vw, 100vw, auto, 75vmin, auto;
  background-attachment: fixed, fixed, scroll, scroll, scroll;
  background-position: center center, center center, center center, 60% 20%, center center;
  // background-image: url('/assets/img/europe-map-wp.svg'),
  //   linear-gradient(72deg, #2e2e2e 10%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 70%, #ebd6ad 90%),
  //   linear-gradient(72deg, #299ba3 50%, #ebb447 70%);
  // background-size: auto var(--headline-height);
  // background-repeat: no-repeat;
  // background-position: right;
}

::ng-deep .status-header {
  min-height: 32px;
  background-color: var(--accent--dark);

  p {
    color: #ffffff;
    font-size: 10px;
    text-align: center;
    text-transform: uppercase;
    margin-top: auto;
    margin-bottom: auto;
    max-width: 100%;
  }
}

::ng-deep .statistics-header {
  min-height: 96px;
  background-color: var(--brand--background);

  ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    justify-content: space-around;
    li {
      font-weight: 600;
      font-size: 16px;
      text-align: center;
      margin-top: 16px;
      margin-bottom: 16px;
      span {
        font-size: 24px;
        display: block;
      }
    }
  }
}

::ng-deep .search-header h1 {
  color: #ffffff;
}
::ng-deep .search-header h2 {
  color: #ffffff;
  max-width: 500px;
}

::ng-deep input {
  background-color: #ffffff;
}

::ng-deep .announcement {
  --announcement--width: 310px;
  max-width: var(--announcement--width);
  background-color: var(--accent--dark);
  padding: 32px;
  margin-top: 32px;
  margin-bottom: 32px;
  color: #ffffff;
  border-radius: 4px;
  display: none;
  p {
    font-weight: 600;
  }
  @media (min-width: 1280px) {
    display: block;
    position: absolute;
    top: -75px;
    left: calc(100% - var(--announcement--width));
    transform: rotate(8deg);
  }
}

::ng-deep .section-project > div {
  background-image: url('/assets/img/europe-map-wp.svg');
  background-size: auto 340px;
  background-repeat: no-repeat;
  background-position: right top;
}

::ng-deep .section-promotion {
  padding-top: 64px;
  padding-bottom: 64px;
  .card {
    background-color: var(--transparent-background);
    border-radius: 4px;
    margin-bottom: 32px;
    margin-top: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 16px;

    &:last-of-type {
      margin-bottom: 0;
    }

    .organizations {
      width: 100%;
      display: grid;
      gap: 16px;
      grid-template-columns: repeat(auto-fill, minmax(64px, 1fr));
      img {
        max-width: 100%;
        height: auto;
      }
    }
    .user-stories {
      display: grid;
      gap: 16px;
      @media (min-width: 960px) {
        grid-template-columns: repeat(2, calc(100% / 2));
        & > div {
          border-right: solid 2px black;
          &:last-of-type {
            border-right: none;
          }
        }
      }
      @media (max-width: 960px) {
        & > div {
          border-bottom: solid 2px black;
          &:last-of-type {
            border-bottom: none;
          }
        }
      }
      & > div {
        padding-right: 16px;
        padding-left: 16px;
        h3 {
          width: 100%;
          text-align: center;
        }
        div {
          display: grid;
          grid-template-columns: 1fr 2fr;
          img {
            max-width: 100%;
            height: auto;
            max-height: 128px;
            padding-right: 16px;
            padding-bottom: 16px;
          }
        }
        .citation {
          font-style: italic;
        }
      }
    }
  }
  iframe {
    width: 100%;
    max-width: 1000px;
    aspect-ratio: 16 / 9;
    border: none;
  }
}

